> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# 알림톡 템플릿 목록 조회

> 카카오톡 발송 플랫폼이 `Notifly`인 채널의 알림톡 템플릿 목록을 템플릿 코드 순으로 조회합니다. 본문은 상세 조회 API에서 확인합니다.



## OpenAPI

````yaml /ko/api-reference/openapi.yaml get /v1/projects/{projectId}/messages/kakao-alimtalk/templates
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: 노티플라이 API 서버입니다
security: []
tags:
  - name: catalog
    x-group: 카탈로그
paths:
  /v1/projects/{projectId}/messages/kakao-alimtalk/templates:
    get:
      summary: list-kakao-bizmessage-alimtalk-templates
      operationId: listKakaoBizmessageAlimtalkTemplates
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: 프로젝트 ID
        - name: sender_channel_id
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
          description: >-
            프로젝트에 등록된 카카오 채널 ID입니다. 카카오톡 발송 플랫폼이 `Notifly`인 채널만 지원합니다. `Notifly
            (Legacy)` 채널의 템플릿은 알림톡 템플릿 리스트 조회 API를 사용합니다.
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - registered
              - requested
              - approved
              - rejected
          description: >-
            검수 상태(registered 요청, requested 검수중, approved 승인, rejected 반려)입니다.
            생략하면 모든 상태를 조회합니다.
        - name: template_name
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
          description: 템플릿 이름 부분 일치 검색입니다. %, _, 역슬래시는 문자 그대로 검색합니다.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          description: 조회 건수
        - name: next_cursor
          in: query
          required: false
          schema:
            type: string
          description: 이전 응답의 next_cursor 값입니다.
      responses:
        '200':
          description: 템플릿 리스트 조회 성공입니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KakaoAlimtalkTemplateListResponse'
        '400':
          description: 요청 파라미터 오류입니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotiflyV1ErrorResponse'
        '401':
          description: 인증 실패입니다 (만료 또는 잘못된 토큰)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotiflyV1ErrorResponse'
        '403':
          description: 프로젝트 접근 권한이 없습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotiflyV1ErrorResponse'
        '404':
          description: 프로젝트 또는 카카오 채널을 찾을 수 없습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotiflyV1ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    KakaoAlimtalkTemplateListResponse:
      type: object
      required:
        - data
        - error
      properties:
        data:
          type: object
          required:
            - sender_channel_id
            - templates
            - next_cursor
          properties:
            sender_channel_id:
              type: string
            templates:
              type: array
              items:
                type: object
                properties:
                  template_code:
                    type: string
                  template_name:
                    type: string
                  template_message_type:
                    type: string
                    nullable: true
                  template_emphasize_type:
                    type: string
                    nullable: true
                  status:
                    type: string
                    enum:
                      - registered
                      - requested
                      - approved
                      - rejected
            next_cursor:
              type: string
              nullable: true
              description: 다음 페이지 커서입니다. 마지막 페이지이면 null입니다.
        error:
          nullable: true
          description: 성공 시 null입니다.
    NotiflyV1ErrorResponse:
      type: object
      properties:
        data:
          type: object
          nullable: true
          description: 실패 시 null입니다.
        error:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/NotiflyV1ErrorObject'
          description: >-
            v1 API 실패 응답입니다. 인증/권한 오류는 code/message 객체, 요청 검증 오류는 문자열로 반환될 수
            있습니다.
      example:
        data: null
        error:
          code: UNAUTHORIZED
          message: Invalid Authorization Token
    NotiflyV1ErrorObject:
      type: object
      properties:
        code:
          type: string
          description: 에러 코드입니다.
        message:
          type: string
          description: 에러 메시지입니다.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.